Subject: Re: [Gendispatch] I-D Action: draft-thomson-gendispatch-no-expiry-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Tue, 5 Nov 2019 11:48:23 +1300

Hi,

First a major nit: I-D expiry is mandated by RFC2026:
https://tools.ietf.org/html/rfc2026#section-6.1.2
The mention in RFC2418 is incidental.

Then:

> Forced expiration serves no purpose that is not adequately served by
> the publication date on the document.

A date of publication alone does not communicate that a draft is
a draft and that, as BCP9 says:

>       *   Under no circumstances should an Internet-Draft    *
>       *   be referenced by any paper, report, or Request-    *
>       *   for-Proposal, nor should a vendor claim compliance *
>       *   with an Internet-Draft.                            *

While the choice of 6 months might seem arbitary, the defined
date of expiry IMHO helps to communicate to readers that
a draft is only a draft. And it also acts as a signal that
there might be a lack of momentum behind a proposal, if a
draft has expired without being updated.

Regards
   Brian

On 05-Nov-19 11:27, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>         Title           : Internet-Drafts Don't Expire
>         Author          : Martin Thomson
> 	Filename        : draft-thomson-gendispatch-no-expiry-00.txt
> 	Pages           : 4
> 	Date            : 2019-11-04
> 
> Abstract:
>    The long-standing insistence that Internet-Drafts carry expiration
>    dates is a concept that is no longer necessary.  This document
>    removes requirements for expiration for Internet-Drafts from RFC
>    2418/BCP 25.
> 
> Note to Readers
> 
>    Discussion of this document takes place on the GENDISPATCH Working
>    Group mailing list ([email-masked]), which is archived at
>    https://mailarchive.ietf.org/arch/browse/gendispatch/ [1].
> 
>    Source for this draft and an issue tracker can be found at
>    https://github.com/martinthomson/no-expiry [2].
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-thomson-gendispatch-no-expiry/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-thomson-gendispatch-no-expiry-00
> https://datatracker.ietf.org/doc/html/draft-thomson-gendispatch-no-expiry-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 05 Nov 2019 17:14:17 -0600

Given that Martin isn't subscribed to the gendispatch list, I expect 
he'll need to be Cc'ed to see this. I have now done so.

Martin, shall I take this to mean that you'd like agenda time in 
Singapore?

pr

-- 
Pete Resnick https://www.episteme.net/
All connections to the world are tenuous at best

---

From: "Martin Thomson" <[email-masked]>
Date: Wed, 06 Nov 2019 15:17:16 +1100

> Martin, shall I take this to mean that you'd like agenda time in 

Sure, and thanks Pete.  I thought that I was already subscribed.  An error on my part.

> > The mention in RFC2418 is incidental.

Section 6.1.2 talks about standards actions, duration of last calls, etc..  I couldn't find a single mention of draft expiration.

Section 6.1.1 says:

> It shall remain as an Internet-Draft for a period of time, not less than two weeks, [...]

Which I guess could be read to infer an expiry time.  If so, then I guess that this *could* update that too.  It's a little too oblique to bother with.  That period of time could be interpreted as "until the IETF is no more", without invalidating 2026 at all.

> > draft has expired without being updated.

Is it not sufficient for the draft to indicate that it is a draft?  I'm not proposing that we remove that notice.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 6 Nov 2019 17:38:32 +1300

> Section 6.1.2 talks about standards actions, duration of last calls, etc..  I couldn't find a single mention of draft expiration.

My stupid error, sorry. Try https://tools.ietf.org/html/rfc2026#section-2.2:

   An Internet-Draft that is published as an RFC, or that has remained
   unchanged in the Internet-Drafts directory for more than six months
   without being recommended by the IESG for publication as an RFC, is
   simply removed from the Internet-Drafts directory. 

That's where the expiry thing originated.

> Is it not sufficient for the draft to indicate that it is a draft?  I'm not proposing that we remove that notice.

Well, one of our chronic problems is that nobody reads the boilerplate anyway. Either way, I still like the expiry date but of course we need more than just your and my opinion.

    Brian

---

From: "Martin Thomson" <[email-masked]>
Date: Wed, 06 Nov 2019 17:08:47 +1100

> That's where the expiry thing originated.

Ahh, I somehow managed to miss that in multiple searches.  Yes, that is an oversight.

> Well, one of our chronic problems is that nobody reads the boilerplate 
> anyway. Either way, I still like the expiry date but of course we need 
> more than just your and my opinion.

Sure.  I appreciate that.  Maybe having a few minutes to discuss this will help us decide whether or not holding to our positions is worthwhile.

BTW, part of my motivation is a (small) reduction in the size of the boilerplate.  I can probably find more aggressive edits if people were amenable to further changes.  "THIS IS A DRAFT" might be small enough to be noticed.  But I wanted to test the waters more than anything else.

---

From: Keith Moore <[email-masked]>
Date: Wed, 6 Nov 2019 01:29:47 -0500

> Well, one of our chronic problems is that nobody reads the boilerplate anyway. Either way, I still like the expiry date but of course we need more than just your and my opinion.

I like the expiry date also.   At the very least it helps people see, to 
a rough approximation, which internet-drafts are being maintained and 
which are not.

I also think that if one is searching for a particular (current) I-D, 
the default search results shouldn't be flooded with drafts that are 
arbitrarily old.  But maybe that's the only purpose that an expiry date 
serves any more.    If a WG wants to adopt a draft that's > 6 months 
old, I don't see why they shouldn't do so.

Keith

---

From: "Martin Thomson" <[email-masked]>
Date: Wed, 06 Nov 2019 17:32:25 +1100

On Wed, Nov 6, 2019, at 17:29, Keith Moore wrote:
> arbitrarily old.  

How is the date of publication not sufficient for both of those use cases?

---

From: Keith Moore <[email-masked]>
Date: Wed, 6 Nov 2019 01:51:44 -0500

>> How is the date of publication not sufficient for both of those use cases?

Maybe I don't understand the question.   As I see it, since we stopped 
actually making drafts inaccessible after six months, six months became 
just a convention for whether a draft is being actively maintained and 
for whether it's reported in default search results.   I think it's a 
useful convention for those purposes, but one could certainly implement 
it without actually having (for example) separate repositories.

On the other hand, if the only change you're proposing is to remove one 
line from the I-D header (and associated metadata) and change the 
boilerplate, I frankly don't think it's worth the expenditure of energy 
on the part of IETF, IESG, RFC editor, tools team, etc., that would be 
required to do that.   There doesn't seem to be an obvious benefit to 
justify doing that work, and it sort of looks like change for the sake 
of change.  (otherwise known as "action bias").   The -00 I-D also 
leaves unstated whether there's any significance at all to the six month 
figure and that seems like an undesirable ambiguity.

Keith

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 7 Nov 2019 08:30:43 +1300

> the default search results shouldn't be flooded with drafts that are 

Yes, that's an important practical point. I regularly make use of the 3rd
radio button in the tracker's "Additional search criteria ", namely
"Internet-Draft (expired, replaced or withdrawn)". If there was no standard
expiry lifetime, I'd need an "older than..." button instead. More work for
the tools team...

> But maybe that's the only purpose that an expiry date 

Indeed, although current practice seems to be to ask the authors to
post an updated version.

   Brian